VirtualBox

Ticket #16038 (closed defect: fixed)

Opened 2 years ago

Last modified 2 years ago

Error: nothing provides libvpx.so.3()(64bit) on Fedora 25

Reported by: lverissimo Owned by:
Priority: major Component: other
Version: VirtualBox 5.1.6 Keywords:
Cc: Guest type: other
Host type: Linux

Description

I am unable to install Virtualbox 5.1-5.1_6 on Fedora 25. libvpx.so.3 is no longer available by libvpx.so.4. Please update your package.

Change History

comment:1 Changed 2 years ago by frank

  • Summary changed from Error: nothing provides libvpx.so.3()(64bit) needed by VirtualBox-5.1-5.1.6_110634_fedora24-1.x86_64 to Error: nothing provides libvpx.so.3()(64bit) on Fedora 25

comment:2 Changed 2 years ago by srakitnican

To add a little more detail, Fedora 25 upgrades package libvpx-1.5.0-4.fc24.x86_64 -> libvpx-1.6.0-1.fc25.x86_64 which bumps library version to libvpx.so.4. As upgrading from 24 to 25 gives following:

Error: Package: VirtualBox-5.1-5.1.6_110634_fedora24-1.x86_64 (installed)
           Requires: libvpx.so.3()(64bit)
           Removing: libvpx-1.5.0-4.fc24.x86_64 (installed)
               libvpx.so.3()(64bit)
           Updated By: libvpx-1.6.0-1.fc25.x86_64 (fedora)
              ~libvpx.so.4()(64bit)

comment:3 Changed 2 years ago by k1kwp

an attempted rpm install on a fedora 25 system:

dnf install ./VirtualBox-5.1-5.1.6_110634_fedora24-1.x86_64.rpm Error: nothing provides libvpx.so.3()(64bit) needed by VirtualBox-5.1-5.1.6_110634_fedora24-1.x86_64 (try to add '--allowerasing' to command line to replace conflicting packages)

comment:4 Changed 2 years ago by Didier

Trying to install VirtualBox on Fedora 25 Release Candidate 2, I still encounter this problem with libvpx.so.3()

Fedora 25 Release is now scheduled for november 22 and it will be mandatory to be able to test VirtualBox on this release before this date.

comment:5 Changed 2 years ago by frank

We will provide Fedora 25 packages with the next 5.1.x maintenance release.

comment:6 Changed 2 years ago by joeAverage

...can't wait ?

read this thread:  http://www.spinics.net/lists/fedora-testing/msg131553.html

build the rpm-compat packages:

Last edited 2 years ago by joeAverage (previous) (diff)

comment:7 Changed 2 years ago by robatino

The newly released VirtualBox-5.1-5.1.10_112026_fedora25-1.x86_64.rpm works for me with no dep problems, thanks.

comment:8 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Thanks for the confirmation!

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use